> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ycloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an event property definition

> Updates an event property definition's label and description.



## OpenAPI

````yaml /openapi/endpoints/ycloud-api-v2.yaml patch /event/definitions/{name}/properties/{propertyName}
openapi: 3.0.0
info:
  description: >-
    The [YCloud](https://ycloud.com) API is organized around
    [REST](https://en.wikipedia.org/wiki/Representational_state_transfer). Our
    API is designed to have predictable, resource-oriented URLs, return
    [JSON](https://www.json.org) responses, and use standard HTTP response codes
    and verbs.
  version: v2
  title: YCloud API
  termsOfService: https://ycloud.com/terms-service
  contact:
    email: service@ycloud.com
servers:
  - url: https://api.ycloud.com/v2
    description: Base URL
security:
  - api_key: []
tags:
  - name: Balance
  - name: Contacts
  - name: Custom Events
  - name: Emails
  - name: SMS
  - name: Unsubscribers
  - name: Verify
  - name: Voices
  - name: Webhook Endpoints
  - name: WhatsApp Business Accounts
  - name: WhatsApp Inbound Messages
  - name: WhatsApp Media
  - name: WhatsApp Messages
  - name: WhatsApp Blocked Users
  - name: WhatsApp Groups
  - name: WhatsApp Calling
  - name: WhatsApp Phone Numbers
  - name: WhatsApp Templates
  - name: WhatsApp Flows
  - name: Meta Business Agent
  - name: WhatsApp Group Messages
externalDocs:
  description: Homepage
  url: https://ycloud.com
paths:
  /event/definitions/{name}/properties/{propertyName}:
    patch:
      tags:
        - Custom Events
      summary: Update an event property definition
      description: Updates an event property definition's label and description.
      operationId: custom_events_update-property-definition
      parameters:
        - $ref: '#/components/parameters/name-in_path_for_custom_event'
        - $ref: '#/components/parameters/name-in_path_for_custom_event_property'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CustomEventDefinitionPropertyUpdateRequest'
        required: true
      responses:
        '200':
          description: Successfully updated the event property definition.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomEventDefinitionProperty'
        '404':
          description: The requested resource does not exist.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  parameters:
    name-in_path_for_custom_event:
      name: name
      in: path
      description: Name of the custom event.
      required: true
      schema:
        type: string
        example: unique_event_name
        pattern: '[a-z0-9_]{1,50}'
    name-in_path_for_custom_event_property:
      name: propertyName
      in: path
      description: Name of the custom event property.
      required: true
      schema:
        type: string
        example: unique_property_name
        pattern: '[a-z0-9_]{1,50}'
  schemas:
    CustomEventDefinitionPropertyUpdateRequest:
      type: object
      description: Contains the properties of the event property definition to be updated.
      properties:
        label:
          type: string
          description: The label of the event property definition.
          example: New label
        description:
          type: string
          description: The description of the event property definition.
          example: Describes the event property
    CustomEventDefinitionProperty:
      type: object
      description: Represents a custom property of a custom event definition.
      properties:
        name:
          type: string
          description: The name of the custom property.
          example: propertyName
        label:
          type: string
          description: The label of the property, used for display purposes.
          maxLength: 50
          example: Property Label
        description:
          type: string
          description: The description of the property.
          example: Describes this property
        createTime:
          type: string
          format: date-time
          description: >-
            The time at which this object is created, formatted in [RFC
            3339](https://datatracker.ietf.org/doc/html/rfc3339). e.g.,
            `2022-06-01T12:00:00.000Z`.
          example: '2024-08-22T00:00:00.000Z'
        type:
          type: string
          description: >-
            The data type of the property.

            - `STRING`: Indicates a property that receives plain text strings.

            - `NUMBER`: Indicates a property that receives numeric values with
            up to one decimal.

            - `TIMESTAMP`: Indicates a property that receives epoch millisecond.

            - `URL`: Indicates a property that receives URLs, formatted as
            strings starting with `http://` or `https://`.
          enum:
            - STRING
            - NUMBER
            - TIMESTAMP
            - URL
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          $ref: '#/components/schemas/Error'
          description: >-
            Contains the error code and human-readable message for the API
            error.
    Error:
      type: object
      required:
        - status
        - code
      properties:
        status:
          type: integer
          format: int32
          pattern: '[45]\d{2}'
          description: >-
            HTTP status code, [RFC 7231, Section
            6](https://datatracker.ietf.org/doc/html/rfc7231#section-6). It
            conveys the HTTP status code used for the convenience of the
            consumer.
          example: 404
        code:
          type: string
          description: >-
            One of a server-defined error codes. Some `4xx` errors that could be
            handled programmatically include an error code that briefly explains
            the error reported.
          example: NOT_FOUND
        message:
          type: string
          description: >-
            A human-readable representation of the error. It is intended as an
            aid to developers and is not suitable for exposure to end users.
          example: The requested resource does not exist.
        target:
          type: string
          description: The target of the error.
          example: ''
        docUrl:
          type: string
          description: A URL to more information about the error.
          example: ''
        requestId:
          type: string
          description: >-
            Each API request has an associated request ID. It conveys the
            response header `YCloud-Request-ID` used for the convenience of the
            consumer.
          example: req_1KjtKI80IKoaJNa6n6p
        whatsappApiError:
          $ref: '#/components/schemas/WhatsappApiError'
          description: >-
            The original error object returned by WhatsApp. See [Handling
            Errors](https://developers.facebook.com/docs/graph-api/guides/error-handling),
            [Cloud API Error
            Codes](https://developers.facebook.com/docs/whatsapp/cloud-api/support/error-codes).


            Note: This field is returned if we tried to request the WhatsApp
            Business API and got an error response.
        metaBusinessAgentApiError:
          $ref: '#/components/schemas/MetaBusinessAgentApiError'
          description: >-
            Sanitized upstream details returned when a Meta Business Agent
            request fails.
    WhatsappApiError:
      type: object
      description: >-
        The original error object returned by WhatsApp. See [Handling
        Errors](https://developers.facebook.com/docs/graph-api/guides/error-handling),
        [Cloud API Error
        Codes](https://developers.facebook.com/docs/whatsapp/cloud-api/support/error-codes).
      required:
        - message
        - code
      properties:
        message:
          type: string
          description: A human-readable description of the error.
          example: HSM Template creation failed
        code:
          type: string
          description: An error code.
          example: 200002
        type:
          type: string
          description: Error type.
          example: OAuthException
        is_transient:
          type: boolean
          description: Whether the error is transient.
          example: false
        error_subcode:
          type: string
          description: Additional code about the error.
          example: 2388109
        error_user_msg:
          type: string
          description: >-
            The message to display to the user. The language of the message is
            based on the locale of the API request.
          example: This message template cannot be created.
        error_user_title:
          type: string
          description: >-
            The title of the dialog, if shown. The language of the message is
            based on the locale of the API request.
          example: Message Cannot Be Submitted
        fbtrace_id:
          type: string
          description: >-
            Internal support identifier. When reporting a bug related to a Graph
            API call, include the fbtrace_id to help us find log data for
            debugging.
          example: AVGjJ7ia2zJkrHG
        error_data:
          description: >-
            Additional data about the error. A string or map.

            - For template APIs, this field is a string describing the reason
            for the error.

            - For message APIs, this field is a map with property `details`
            describing the reason for the error.
          oneOf:
            - type: string
            - type: object
              additionalProperties: true
    MetaBusinessAgentApiError:
      type: object
      description: Sanitized details from a failed Meta Business Agent upstream request.
      properties:
        title:
          type: string
        detail:
          type: string
        type:
          type: string
        status:
          type: integer
          format: int32
        requestId:
          type: string
  securitySchemes:
    api_key:
      type: apiKey
      name: X-API-Key
      in: header

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.